path: /build/build/pycurl-dev-python-7.45.4+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - CURL_SSL="openssl"
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 curl_ssl_gnutls python_targets_python3_9 ssl" emerge dev-python/pycurl -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 curl_ssl_gnutls python_targets_python3_9 ssl" emerge -j ${JOBS} --nodeps dev-python/pycurl && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/pycurl && \
    luet-portage --dir /pkgdir/pycurl dev-python/pycurl && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:ca7cf001592f29b235361e6759a518683ad532e057b2b96978812afc3b254976
  package:
    name: pycurl
    version: 7.45.4+1
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - curl_ssl_gnutls
    - python_targets_python3_9
    - ssl
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: PycURL -- A Python Interface To The cURL library
    uri:
    - http://pycurl.io/
    - https://pypi.org/project/pycurl/
    license: MIT
    buildtimestamp: 2025-05-23 11:14:13.516739063 +0000 UTC m=+411.979298789
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: +curl_ssl_openssl curl_ssl_gnutls curl_ssl_nss ssl python_targets_python3_10
        python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      RDEPEND: '>=net-misc/curl-7.25.0-r1[ssl=] ssl? ( net-misc/curl[curl_ssl_gnutls(-)=,curl_ssl_nss(-)=,curl_ssl_openssl(-)=,-curl_ssl_axtls(-),-curl_ssl_cyassl(-)]
        curl_ssl_gnutls? ( >=net-libs/gnutls-2.11.0 ) ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 )
        python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]'
      emerge.packages: dev-python/pycurl
      kit: geaaru-kit
      original.package.name: dev-python/pycurl
      original.package.slot: "0"
      original.package.version: 7.45.4
    treedir: /build/packages
  package_dir: /pkgdir/pycurl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 97c48762a27ec0d8e61ee89115414d0f8b6591d86a1c11803471f6c84a1b13a8
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/curl/__init__.py
- usr/lib/python3.9/site-packages/curl/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/curl/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/curl/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/pycurl-7.45.3.dist-info/AUTHORS
- usr/lib/python3.9/site-packages/pycurl-7.45.3.dist-info/METADATA
- usr/lib/python3.9/site-packages/pycurl-7.45.3.dist-info/RECORD
- usr/lib/python3.9/site-packages/pycurl-7.45.3.dist-info/WHEEL
- usr/lib/python3.9/site-packages/pycurl-7.45.3.dist-info/top_level.txt
- usr/lib/python3.9/site-packages/pycurl.cpython-39-x86_64-linux-gnu.so
- usr/share/doc/pycurl/AUTHORS.bz2
- usr/share/doc/pycurl/COPYING-LGPL.bz2
- usr/share/doc/pycurl/COPYING-MIT.bz2
- usr/share/doc/pycurl/ChangeLog.bz2
- usr/share/doc/pycurl/INSTALL.rst.bz2
- usr/share/doc/pycurl/README.rst.bz2
- usr/share/doc/pycurl/RELEASE-NOTES.rst.bz2
- usr/share/doc/pycurl/examples/basicfirst.py.bz2
- usr/share/doc/pycurl/examples/file_upload.py.bz2
- usr/share/doc/pycurl/examples/linksys.py.bz2
- usr/share/doc/pycurl/examples/multi-socket_action-select.py.bz2
- usr/share/doc/pycurl/examples/opensocketexception.py.bz2
- usr/share/doc/pycurl/examples/quickstart/file_upload_buffer.py.bz2
- usr/share/doc/pycurl/examples/quickstart/file_upload_real.py.bz2
- usr/share/doc/pycurl/examples/quickstart/file_upload_real_fancy.py.bz2
- usr/share/doc/pycurl/examples/quickstart/follow_redirect.py.bz2
- usr/share/doc/pycurl/examples/quickstart/form_post.py.bz2
- usr/share/doc/pycurl/examples/quickstart/get.py.bz2
- usr/share/doc/pycurl/examples/quickstart/get_python2.py.bz2
- usr/share/doc/pycurl/examples/quickstart/get_python2_https.py.bz2
- usr/share/doc/pycurl/examples/quickstart/get_python3.py.bz2
- usr/share/doc/pycurl/examples/quickstart/get_python3_https.py.bz2
- usr/share/doc/pycurl/examples/quickstart/put_buffer.py.bz2
- usr/share/doc/pycurl/examples/quickstart/put_file.py.bz2
- usr/share/doc/pycurl/examples/quickstart/response_headers.py.bz2
- usr/share/doc/pycurl/examples/quickstart/response_info.py.bz2
- usr/share/doc/pycurl/examples/quickstart/write_file.py.bz2
- usr/share/doc/pycurl/examples/retriever-multi.py.bz2
- usr/share/doc/pycurl/examples/retriever.py.bz2
- usr/share/doc/pycurl/examples/sfquery.py.bz2
- usr/share/doc/pycurl/examples/smtp.py.bz2
- usr/share/doc/pycurl/examples/ssh_keyfunction.py.bz2
- usr/share/doc/pycurl/examples/xmlrpc_curl.py.bz2
- usr/share/doc/pycurl-7.45.3/AUTHORS.bz2
- usr/share/doc/pycurl-7.45.3/ChangeLog.bz2
- usr/share/doc/pycurl-7.45.3/README.rst.bz2
- var/db/pkg/dev-python/pycurl-7.45.3/BDEPEND
- var/db/pkg/dev-python/pycurl-7.45.3/BUILD_TIME
- var/db/pkg/dev-python/pycurl-7.45.3/CATEGORY
- var/db/pkg/dev-python/pycurl-7.45.3/CBUILD
- var/db/pkg/dev-python/pycurl-7.45.3/CFLAGS
- var/db/pkg/dev-python/pycurl-7.45.3/CHOST
- var/db/pkg/dev-python/pycurl-7.45.3/CONTENTS
- var/db/pkg/dev-python/pycurl-7.45.3/COUNTER
- var/db/pkg/dev-python/pycurl-7.45.3/CTARGET
- var/db/pkg/dev-python/pycurl-7.45.3/CXX
- var/db/pkg/dev-python/pycurl-7.45.3/CXXFLAGS
- var/db/pkg/dev-python/pycurl-7.45.3/DEFINED_PHASES
- var/db/pkg/dev-python/pycurl-7.45.3/DEPEND
- var/db/pkg/dev-python/pycurl-7.45.3/DESCRIPTION
- var/db/pkg/dev-python/pycurl-7.45.3/EAPI
- var/db/pkg/dev-python/pycurl-7.45.3/FEATURES
- var/db/pkg/dev-python/pycurl-7.45.3/HOMEPAGE
- var/db/pkg/dev-python/pycurl-7.45.3/INHERITED
- var/db/pkg/dev-python/pycurl-7.45.3/IUSE
- var/db/pkg/dev-python/pycurl-7.45.3/IUSE_EFFECTIVE
- var/db/pkg/dev-python/pycurl-7.45.3/KEYWORDS
- var/db/pkg/dev-python/pycurl-7.45.3/LDFLAGS
- var/db/pkg/dev-python/pycurl-7.45.3/LICENSE
- var/db/pkg/dev-python/pycurl-7.45.3/NEEDED
- var/db/pkg/dev-python/pycurl-7.45.3/NEEDED.ELF.2
- var/db/pkg/dev-python/pycurl-7.45.3/PF
- var/db/pkg/dev-python/pycurl-7.45.3/PROVIDES
- var/db/pkg/dev-python/pycurl-7.45.3/RDEPEND
- var/db/pkg/dev-python/pycurl-7.45.3/REQUIRES
- var/db/pkg/dev-python/pycurl-7.45.3/SIZE
- var/db/pkg/dev-python/pycurl-7.45.3/SLOT
- var/db/pkg/dev-python/pycurl-7.45.3/USE
- var/db/pkg/dev-python/pycurl-7.45.3/environment.bz2
- var/db/pkg/dev-python/pycurl-7.45.3/pycurl-7.45.3.ebuild
- var/db/pkg/dev-python/pycurl-7.45.3/repository
package_cacheimage: ""
runtime:
  name: pycurl
  version: 7.45.4+1
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - curl_ssl_gnutls
  - python_targets_python3_9
  - ssl
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: gnutls
    version: '>=0'
    category: net-libs
  - name: curl
    version: '>=0'
    category: net-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: PycURL -- A Python Interface To The cURL library
  uri:
  - http://pycurl.io/
  - https://pypi.org/project/pycurl/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: +curl_ssl_openssl curl_ssl_gnutls curl_ssl_nss ssl python_targets_python3_10
      python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
    RDEPEND: '>=net-misc/curl-7.25.0-r1[ssl=] ssl? ( net-misc/curl[curl_ssl_gnutls(-)=,curl_ssl_nss(-)=,curl_ssl_openssl(-)=,-curl_ssl_axtls(-),-curl_ssl_cyassl(-)]
      curl_ssl_gnutls? ( >=net-libs/gnutls-2.11.0 ) ) python_targets_python3_10? (
      dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]'
    emerge.packages: dev-python/pycurl
    kit: geaaru-kit
    original.package.name: dev-python/pycurl
    original.package.slot: "0"
    original.package.version: 7.45.4
